// AZJIO, 2019
var pEditFile = AkelPad.GetEditFile(0);
var pFileExt = AkelPad.GetFilePath(pEditFile, 4 /*CPF_FILEEXT*/ );

switch(pFileExt.toLowerCase()) {
	case "au3":
		AkelPad.Exec('C:\\AutoIt3\\SciTE\\Tidy\\Tidy.exe "' + pEditFile + '" /reel /bdir=C:\AutoIt3\BackUp');
		break;
	case "htm":
	case "html":
		AkelPad.Call("Scripts::Main", 1, "tidy.js", "-alt-text=-")
		AkelPad.Call("Scripts::Main", 1, "jsBeautifier.js", '')
		// AkelPad.Call("Scripts::Main", 1, "tidy.js")
		break;
	case "js":
		AkelPad.Call("Scripts::Main", 1, "jsBeautifier.js", '-spaceBeforeConditional=true -braceStyle="collapse"')
		break;
	case "css":
		AkelPad.Call("Scripts::Main", 1, "jsBeautifier.js", '-css=true')
		break;
	default:
		WScript.Echo('Этот тип файлов не поддерживается.\nДоступно: js, html, au3.');
		break;
}